package ru.ifmo.qbeing.common;

public interface BehaviourConstants {
    float MIN_EXP_FOOD = 0.3f; // %
    float NORM_EXP_FOOD = 0.5f;

    float MIN_HEALTH = 0.151f; // %
    float MIN_FEED_ENERGY = 0.1f; // %
    float MIN_START_COLONY_ENERGY = 0.05f; // %
    float EQUAL_FEED_ENERGY = 0.1f;

    // Exploration constants
    float MAP_EXPLORED_RATE_SINGLE = 0.99f;
    float MAP_EXPLORED_RATE_DUEL = 0.99f;
    float MAP_EXPLORED_RATE_JUNGLE = 0.95f;


    float MIN_EATER_PERCENT = 0.01f;
    float EQUAL_DISTANCE = 1f;
    float MIN_EATER_ATTACK_ENERGY = 0.3f;

    int MAX_EXPLORE_STEPS_SINGLE = 200;
    int MAX_EXPLORE_STEPS_DUEL = 150;
    int MAX_EXPLORE_STEPS_JUNGLE = 200;

    int MAX_EXPLORER_COUNT = 1000;
    float MIN_FOOD_FOR_EATER = 0.1f;
    float CHANGE_FEED_PLACE_REQUIRED = 0.2f;

    float KEEP_EATERS_WHEN_LACK_OF_FOOD = 0.1f;

    float MIN_ENERGY_TO_GIVE = 0.2f;
    float GIVE_TO_OTHER_IF_REQUIRED_LESS = 0.01f;
    float MAX_GIVE_ENERGY = 0.04f;
    float FEED_NOT_TO_DIE = 0.1f;

    int MAX_MASS = 4;
    int SPEED = 3;

    float ENERGY_FROM_MASS = 0.6f;
    float SUPPORT_ENERGY = 0.5f;
}
